#ifndef VIETER_PACKAGE
#define VIETER_PACKAGE

#include <stdint.h>
#include <stdbool.h>
#include <string.h>
#include <stdlib.h>

#include "archive.h"
#include "archive_entry.h"

#include "package_info.h"
#include "dynarray.h"

typedef struct pkg {
	char *path;
	PkgInfo *info;
	DynArray *files;
	int compression;
} Pkg;

Pkg *package_read_archive(const char *pkg_path);
void package_free(Pkg ** ptp);
char *package_to_description(Pkg *pkg);

#endif
